Subject: bug#2062: PATH can contain non-expanded variables

From: Stefan Monnier <[email-masked]>
Date: Tue, 27 Jan 2009 14:02:11 -0500

>> b) decide that a variable-like string of the form %VARIABLE% in a
>> PATH-like value is much, much likely to be that, an unexpanded env
>> var, than part of a file or directory name, and so expand it.
> If we decide b, then why would we only decide that for Windows (syntax
> excepted)?

It looks like a situation where the variable expansion is expected to be
done by the application under w32 (just like file globbing is not done
by the shell there either), contrary to POSIX.
So it's definitely not needed in GNU/Linux, and probably not in Mac OS
X either.  I cannot judge whether Juanma's patch is doing the right
thing, or is working around some bug/misfeature elsewhere, or is really
doing something wrong (it looks like the second option, tho).

        Stefan